{format}: Get compound properties by CID

API: nih.gov:pubchem-api
Endpoint: /pug/compound/cid/{cid}/property/{properties}/{format}
Response format: application/json
Auth: unknown
Method: GET

Description

Retrieve chemical properties for a compound by its CID. Multiple properties can be requested separated by commas.

Parameters (3)

cid (string, path, required)

PubChem Compound ID (CID)

format (string, path, required)

Response format

Constraints: {'enum': ['JSON', 'XML']}

properties (string, path, required)

Comma-separated list of properties (e.g., MolecularFormula,MolecularWeight,IUPACName,IsomericSMILES) or 'all'

Examples (1)

Get compound properties by CID openapi-spec
curl 'https://pubchem.ncbi.nlm.nih.gov/rest/pug/compound/cid/{cid}/property/{properties}/{format}'
import requests

resp = requests.get("https://pubchem.ncbi.nlm.nih.gov/rest/pug/compound/cid/{cid}/property/{properties}/{format}")
data = resp.json()
import zingu_apis

api = zingu_apis.api("pubchem")
result = api.fetch("pug/compound/cid/{cid}/property/{properties}/{format}")

for item in result:
    print(item)
const resp = await fetch("https://pubchem.ncbi.nlm.nih.gov/rest/pug/compound/cid/{cid}/property/{properties}/{format}");
const data = await resp.json();

No probe data for this endpoint yet.